
//   "Decorat" 8x12  FCOS.

#include <fcntl.h>
#include <sys\stat.h>
#include <stdlib.h>
#include <io.h>

#define SizeFnt 192
unsigned char FontTabl[SizeFnt] ;  //   ⠡.
int           fp ;                 // ⥫ 䠩.
char          fn[]="decorat.fnt"; // 騩 䠩.


char Font[16*12][8] = {

"      **",    // 000 - /
"      **",
"     ** ",
"     ** ",
"    **  ",
"   **   ",
"   **   ",
"  **    ",
" **     ",
" **     ",
"**      ",
"**      ",

"********",    // 001 - 0
"********",
"**    **",
"**    **",
"**    **",
"**    **",
"**    **",
"**    **",
"**    **",
"**    **",
"********",
"********",

"      **",    // 002 - 1
"      **",
"      **",
"      **",
"      **",
"      **",
"      **",
"      **",
"      **",
"      **",
"      **",
"      **",

"********",    // 003 - 2
"********",
"      **",
"      **",
"      **",
"********",
"********",
"**      ",
"**      ",
"**      ",
"********",
"********",

"********",    // 004 - 3
"********",
"      **",
"      **",
"      **",
"********",
"********",
"      **",
"      **",
"      **",
"********",
"********",

"**    **",    // 005 - 4
"**    **",
"**    **",
"**    **",
"**    **",
"********",
"********",
"      **",
"      **",
"      **",
"      **",
"      **",

"********",    // 006 - 5
"********",
"**      ",
"**      ",
"**      ",
"********",
"********",
"      **",
"      **",
"      **",
"********",
"********",

"********",    // 007 - 6
"********",
"**      ",
"**      ",
"**      ",
"********",
"********",
"**    **",
"**    **",
"**    **",
"********",
"********",

"********",    // 008 - 7
"********",
"**    **",
"**    **",
"**    **",
"      **",
"      **",
"      **",
"      **",
"      **",
"      **",
"      **",

"********",    // 009 - 8
"********",
"**    **",
"**    **",
"**    **",
"********",
"********",
"**    **",
"**    **",
"**    **",
"********",
"********",

"********",    // 010 - 9
"********",
"**    **",
"**    **",
"**    **",
"********",
"********",
"      **",
"      **",
"      **",
"********",
"********",

"        ",    // 011 - :
"   **   ",
"  ****  ",
"  ****  ",
"   **   ",
"        ",
"        ",
"   **   ",
"  ****  ",
"  ****  ",
"   **   ",
"        ",

"        ",    // 012 - T1
" *******",
" *   *  ",
"     *  ",
"     *  ",
"     *  ",
"     *  ",
"     *  ",
"     *  ",
"     *  ",
"    *** ",
"        ",

"        ",    // 013 - T2
"**  *   ",
" *  *   ",
"   * *  ",
"   * *  ",
"  *   * ",
"  *   * ",
" *******",
" *     *",
"*       ",
"*       ",
"        ",

"        ",    // 014 - T3
"   ***  ",
"  *   * ",
"  *    *",
"   *    ",
"    **  ",
"      * ",
"       *",
"  *    *",
"*  *   *",
"*   *** ",
"        ",

"        ",    // 015 - T4
" *    * ",
" *   *  ",
" *  *   ",
" * *    ",
" **     ",
" * *    ",
" *  *   ",
" *   *  ",
" *    * ",
" *    * ",
"        ",
            } ;


void CalcTabl ()
 {
  int i,j, adr=0;
  unsigned char b;

  for (i=0; i<16*12; i++)
   {
   b=0;
   for (j=0; j<8; j++)
    b=b*2 + 1*(Font[i][j]!=' ') ;
   FontTabl[adr]=b;  adr++;
   }
 }


void SaveTabl ()
 {
 if ((fp = open (fn, O_CREAT | O_WRONLY| O_TRUNC | O_BINARY,
                     S_IREAD | S_IWRITE)) == -1)  exit(0) ;
 write (fp, FontTabl, SizeFnt) ;
 close (fp) ;                      // 뫨   䠩.
 }


void main ()
 {
 CalcTabl () ;
 SaveTabl () ;
 }
