
//  䠩 ଠ  ICO   ଠ  TGA.

#include <fcntl.h>
#include <sys\stat.h>
#include <stdlib.h>
#include <io.h>
#include <stdio.h>
#include <math.h>
#include <string.h>

unsigned char BuffTGA[3] ;
unsigned char BuffICO[1] ;
int           SizeTGA=3  ;
int           SizeICO=1  ;
unsigned char HeadTGA[]={0,0,2, 0,0, 0,0, 0, 0,0, 0,0} ;
int           xs, ys;
unsigned char h_tga2[]={24,32} ;
int           fp_tga ;             // ⥫ 䠩 TGA.
int           fp_ico ;             // ⥫ 䠩 ICO.
int           i, j ;
char          c ;
char          tga_name[80] ;
char          ico_name[80] ;
char          pal_name[80]="palitra.dat" ;
char          Palitra[768] ;
int           fp_pal ;


void OpnFiles ()
 {
 if ((fp_tga = open (tga_name, O_CREAT | O_WRONLY| O_TRUNC | O_BINARY,
                               S_IREAD | S_IWRITE)) == -1)  exit(0) ;
 if ((fp_ico = open (ico_name, O_BINARY,
                               S_IREAD | S_IWRITE)) == -1)  exit(0) ;

 if ((fp_pal = open (pal_name, O_BINARY,
                               S_IREAD | S_IWRITE)) == -1)  exit(0) ;
 read (fp_pal, Palitra, 768) ;
 }


void Headeres ()
 {
 read  (fp_ico, &xs, 4) ;
 write (fp_tga, HeadTGA, 18) ;
 }


void CloseFil ()
 {
 close (fp_tga) ;                  // 뫨   䠩.
 close (fp_ico) ;                  // 뫨   䠩.
 close (fp_pal) ;                  // 뫨   䠩.
 }


void Translat ()
 {
 for (i=0; i<ys; i++)
  {
  for (j=0; j<xs; j++)
   {
   read (fp_ico, BuffICO, 1) ;

   BuffTGA[0]=4*Palitra[2+3*BuffICO[0]] ;
   BuffTGA[1]=4*Palitra[1+3*BuffICO[0]] ;
   BuffTGA[2]=4*Palitra[0+3*BuffICO[0]] ;

   write (fp_tga, BuffTGA, 3) ;
   }
  }
 }


void main (int argc, char *argv[])
 {
 if (argc>2)
  {
  strcpy(ico_name,argv[1]);
  strcpy(tga_name,argv[2]);
  printf("\n\nConvert: %s to %s",ico_name,tga_name);

  OpnFiles () ;
  Headeres () ;
  Translat () ;
  CloseFil () ;
  }
 else
  {
  printf("\n\nConverter ICO to TGA.\n");
  printf(">icototga [path\\]file.ico [path\\]file.tga\n\n");
  }
 }
