
// ⠢ ⠡ ᨭᮢ  ᨭᮢ  FSV.

#include <math.h>
#include <fcntl.h>
#include <sys\stat.h>
#include <stdlib.h>
#include <io.h>

#define SC_ANG 1280
#define SCALE  65536.0
long SiCoTabl[SC_ANG] ;      //   ⠡.
int  fp ;                    // ⥫ 䠩.
char fn[]="sicofile.dat" ;   // 騩 䠩.


void CalcTabl ()
 {
 for ( int i = 0 ;  i < 1280 ;  i++ )
  {
  double  x = i * M_PI / 512 ;
  SiCoTabl[i] = (long)( SCALE * cos(x) ) ;
  }
 }


void SaveTabl ()
 {
 if ((fp = open (fn, O_CREAT | O_WRONLY| O_TRUNC | O_BINARY,
                     S_IREAD | S_IWRITE)) == -1)
  exit(0) ;
 write (fp, SiCoTabl, SC_ANG*4) ;
 close (fp) ;                           // 뫨   䠩.
 }


void main ()
 {
 CalcTabl () ;
 SaveTabl () ;
 }
