
//  䠩 ଠ  TGA   ଠ  ICO.

#include <fcntl.h>
#include <sys\stat.h>
#include <stdlib.h>
#include <io.h>
#include <stdio.h>
#include <math.h>
#include <string.h>

unsigned char BuffTGA[3] ;
unsigned char BuffICO[1] ;
int           SizeTGA=3  ;
int           SizeICO=1  ;
int           xs, ys;
int           fp_tga ;             // ⥫ 䠩 TGA.
int           fp_ico ;             // ⥫ 䠩 ICO.
int           i, j ;
char          c ;
char          tga_name[40] ;
char          ico_name[40] ;


void OpnFiles ()
 {
 if ((fp_tga = open (tga_name, O_BINARY,
                               S_IREAD | S_IWRITE)) == -1)  exit(0) ;
 if ((fp_ico = open (ico_name, O_CREAT | O_WRONLY| O_TRUNC | O_BINARY,
                               S_IREAD | S_IWRITE)) == -1)  exit(0) ;
 }


void Headeres ()
 {
 for (i=0; i<12; i++)  read (fp_tga, BuffTGA, 1) ;
 read (fp_tga, &xs, 4) ;
 read (fp_tga, BuffTGA, 2) ;
 write (fp_ico, &xs, 4) ;
 }


void CloseFil ()
 {
 close (fp_tga) ;                  // 뫨   䠩.
 close (fp_ico) ;                  // 뫨   䠩.
 }


void Translat ()
 {
 for (i=0; i<ys; i++)
  {
  for (j=0; j<xs; j++)
   {
   read (fp_tga, BuffTGA, 3) ;

   BuffICO[0]=32+36*floor(0.5+(double)(BuffTGA[0])/51)
                + 6*floor(0.5+(double)(BuffTGA[1])/51)
                + 1*floor(0.5+(double)(BuffTGA[2])/51) ;

   write (fp_ico, BuffICO, 1) ;
   }
  }
 }


void main (int argc, char *argv[])
 {
 if (argc>2)
  {
  strcpy(tga_name,argv[1]);
  strcpy(ico_name,argv[2]);
  printf("\n\nConvert: %s to %s",tga_name,ico_name);

  OpnFiles () ;
  Headeres () ;
  Translat () ;
  CloseFil () ;
  }
 else
  {
  printf("\n\nConverter TGA to ICO.\n");
  printf(">tgatoico [path\\]file.tga [path\\]file.ico\n\n");
  }
 }
